import sqlite3

# 连接到数据库（如果不存在则创建）
conn = sqlite3.connect('my_database.db')
c = conn.cursor()
# 创建表
c.execute('''CREATE TABLE blacklist_records (
    id INTEGER PRIMARY KEY AUTOINCREMENT, -- 自增主键
    account_url_part TEXT NOT NULL, -- 拉黑该记录的主播账号的 url_part (sec_uid)
    user_sid TEXT NOT NULL,   -- 被拉黑用户的抖音主页ID (user_sid)
    user_douyin_id TEXT,          -- 被拉黑用户的抖音号 (display_id)
    user_nickname TEXT,           -- 被拉黑用户的昵称
    user_avatar TEXT,             -- 被拉黑用户的头像URL
    blacklist_reason TEXT,        -- 拉黑原因
    blacklist_time TEXT,          -- 拉黑时间 (YYYY-MM-DD HH:MM:SS 格式文本)
    -- 联合唯一约束：同一个主播账号不能重复拉黑同一个用户 (通过 user_sec_uid 判断)
    UNIQUE(account_url_part, user_sid)
);
''')
conn.commit()

conn.close()